# avoid dependency on X11 libraries
%define without_x       1

Summary:	A user-friendly file manager and visual shell
Name:		mc
Version:	4.8.11
Release:	%mkrel 2
License:	GPLv2+
Group:		File tools
URL:		http://www.midnight-commander.org/
Source0:	http://www.midnight-commander.org/downloads/%{name}-%{version}.tar.xz
Source1:	mc-bashrc
Patch0:		mc-4.8.6-decent_defaults.diff
Patch2:		mc-4.8.7-use_okular_for_pdf_files.diff
# Patch by Derek Jennings to fix mga#1304 by spawning subshell with IGNOREBOTH
Patch3:         mc-4.8.8-mga-subshell.patch
BuildRequires:	libext2fs-devel
BuildRequires:	libgpm-devel >= 0.18
BuildRequires:	pam-devel
BuildRequires:	slang-devel
Buildrequires:	glib2-devel
BuildRequires:	autoconf automake libtool
BuildRequires:	bison
BuildRequires:	pkgconfig(libssh2) >= 1.2.5
%if %without_x
%else
BuildRequires:	X11-devel
%endif
BuildRequires:	gettext-devel
Requires:	groff

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.

%prep

%setup -q
%patch0 -p0 -b .decent_defaults
%patch2 -p1 -b .use_okular_for_pdf_files
%patch3 -p0 -b .subshell

sed -i 's:|hxx|:|hh|hpp|hxx|:' misc/syntax/Syntax.in

%build
autoreconf -fi
%serverbuild
export X11_WWW="www-browser"
export CFLAGS="$CFlAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wno-strict-aliasing"

%configure2_5x \
    --with-debug \
    --enable-dependency-tracking \
    --without-included-gettext \
    --without-included-slang \
    --with-screen=slang \
    --with-search-engine=glib \
    --enable-nls \
    --enable-charset \
    --enable-largefile \
    --disable-rpath \
    --with-mcfs \
    --enable-vfs-smb \
    --enable-vfs-sftp \
    --enable-vfs-mcfs \
    --enable-extcharset \
    --with-mmap \
%if %without_x
    --without-x
%endif

%make

%install
rm -rf %{buildroot}

#fix mc-wrapper.sh
perl -p -i -e 's/rm -f \"/rm -rf \"/g' lib/mc-wrapper.sh

%makeinstall_std

install -m644 contrib/mc.sh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.sh
install -m644 contrib/mc.csh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.csh
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/mc/mc-bashrc

%{find_lang} %{name}

%files -f %{name}.lang
%doc NEWS README
%dir %{_libexecdir}/mc
%dir %{_libexecdir}/mc/extfs.d
%dir %{_libexecdir}/mc/ext.d
%dir %{_libexecdir}/mc/fish
%dir %{_datadir}/mc
%dir %{_datadir}/mc/skins
%dir %{_datadir}/mc/syntax
%dir %{_datadir}/mc/hints
%dir %{_datadir}/mc/help
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/mc
%{_sysconfdir}/mc/mc-bashrc
%{_bindir}/mc
%{_bindir}/mcdiff
%{_bindir}/mcedit
%{_bindir}/mcview
%{_libexecdir}/mc/cons.saver
%{_libexecdir}/mc/extfs.d/*
%{_libexecdir}/mc/ext.d/*
%{_libexecdir}/mc/fish/*
%{_libexecdir}/mc/mc*.*sh
%{_datadir}/mc/help/*
%{_datadir}/mc/hints/*
%{_datadir}/mc/mc.charsets
%{_datadir}/mc/mc.lib
%{_datadir}/mc/skins/*
%{_datadir}/mc/syntax/*
%{_mandir}/man1/*
%{_datadir}/mc/examples/macros.d/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*


%changelog
* Tue Oct 21 2014 shlomif <shlomif> 4.8.11-2.mga4
+ Revision: 792305
- Apply patch from MGA #11015 to source the ~/.bashrc

* Wed Dec 11 2013 luigiwalser <luigiwalser> 4.8.11-1.mga4
+ Revision: 556375
- 4.8.11

* Sat Oct 19 2013 umeabot <umeabot> 4.8.10-2.mga4
+ Revision: 531274
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 4.8.10-1.mga4
+ Revision: 462801
- new version 4.8.10

* Mon Jul 15 2013 fwang <fwang> 4.8.9-1.mga4
+ Revision: 454565
- new version 4.8.9

* Sun Jun 16 2013 malo <malo> 4.8.8-2.mga4
+ Revision: 443627
- add patch by Derek Jennings to spawn subshell with IGNOREBOTH (mga#1304)

* Sun May 26 2013 blino <blino> 4.8.8-1.mga4
+ Revision: 428287
- 4.8.8

* Sat Jan 12 2013 umeabot <umeabot> 4.8.7-2.mga3
+ Revision: 359829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 4.8.7-1.mga3
+ Revision: 339034
- fix for changed libexecdir
- 4.8.7
- remove upstreamed CVE patch1
- rewrite patch2
- correct filename in sed command

* Fri Dec 21 2012 oden <oden> 4.8.6-1.mga3
+ Revision: 333645
- 4.8.6
- remove patches not cared for
- rediff some patches
- various cleanups
- sync a little with fedora

* Fri Dec 07 2012 luigiwalser <luigiwalser> 4.8.4-3.mga3
+ Revision: 327897
- add patch from fedora to fix CVE-2012-4463

* Fri Jul 20 2012 fwang <fwang> 4.8.4-2.mga3
+ Revision: 272753
- bre libssh

* Fri Jul 20 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 272748
- update file list
- new version 4.8.4

* Tue May 29 2012 ovitters <ovitters> 4.8.3-1.mga3
+ Revision: 249240
- new version 4.8.3

* Wed Feb 15 2012 ovitters <ovitters> 4.8.1-2.mga2
+ Revision: 209249
- clean spec

* Fri Dec 16 2011 shlomif <shlomif> 4.8.1-1.mga2
+ Revision: 182599
- New version: 4.8.1 thanks to neocrust.

* Fri Dec 16 2011 fwang <fwang> 4.7.5.6-1.mga2
+ Revision: 182351
- new version 4.7.5.6

* Thu Sep 29 2011 fwang <fwang> 4.7.5.5-1.mga2
+ Revision: 150115
- new version 4.7.55

* Mon Sep 12 2011 fwang <fwang> 4.7.5.4-1.mga2
+ Revision: 142737
- new version 4.7.5.4
- new version 4.7.5.3

* Sun May 15 2011 pterjan <pterjan> 4.7.5.2-2.mga1
+ Revision: 99021
- Rebuild for fixed find-requires

* Sat Apr 16 2011 pterjan <pterjan> 4.7.5.2-1.mga1
+ Revision: 86183
- Update to 4.7.5.2

* Sun Jan 09 2011 kharec <kharec> 4.7.5-1.mga1
+ Revision: 2031
- imported package mc


* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 4.7.5-1mdv2011.0
+ Revision: 626256
- 4.7.5
- rediffed some patches
- package the localized manpages properly

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 579122
- update to new version 4.7.4
- drop Source1, and patch12

* Sat Jul 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 557324
- update to new version 4.7.3
- drop patches 302 and 303, merged by upstream
- update file list

* Mon May 31 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.7.2-3mdv2010.1
+ Revision: 546802
- Properly filter bash_history modifications (#59547)

* Fri May 14 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.7.2-2mdv2010.1
+ Revision: 544787
- P302,P303: fix issue with 'mc -e' and 'mc -v' not working.

* Thu May 06 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.7.2-1mdv2010.1
+ Revision: 543041
- Updated to 4.7.2.

* Fri Apr 02 2010 Oden Eriksson <oeriksson@mandriva.com> 4.7.0.4-1mdv2010.1
+ Revision: 530763
- 4.7.0.4

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0.3-1mdv2010.1
+ Revision: 512398
- update to new version 4.7.0.3

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 4.7.0.2-1mdv2010.1
+ Revision: 503590
- br gettext-devel
- New version 4.7.0.2
- rediff patches

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 4.7.0.1-1mdv2010.1
+ Revision: 484858
- update to new version 4.7.0.1

* Fri Dec 25 2009 Eugeni Dodonov <eugeni@mandriva.com> 4.7.0-1mdv2010.1
+ Revision: 482326
- Updated to 4.7.0 final.

  + Oden Eriksson <oeriksson@mandriva.com>
    - don't use xpdf

* Sun Nov 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-0.pre4.1mdv2010.1
+ Revision: 463067
- update to new version 4.7.0-pre4
- drop patch0 as it was merged by upstream
- disable patch 10
- fix file list

* Mon Sep 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-0.pre2.3mdv2010.0
+ Revision: 446927
- drop patch8, merged upstream
- Patch0: fix broken xz support

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-0.pre2.1mdv2010.0
+ Revision: 422709
- update to new version 4.7.0-pre2
- drop patch104, merged upstream
- redif patches 6 and 12

* Sun Aug 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-0.pre1.4mdv2010.0
+ Revision: 420170
- drop patch 5, fixed upstream
- change default search engine to glib, because mc segfaults with pcre

* Sat Aug 22 2009 Emmanuel Andry <eandry@mandriva.org> 4.7.0-0.pre1.2mdv2010.0
+ Revision: 419729
- update ipv6 patch

* Wed Aug 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.0-0.pre1.1mdv2010.0
+ Revision: 415625
- add back mistakenly removed buildrequires on glib2-devel
- get back to slang library
- update to new version 4.7.0-pre1
- remove patches 1, 7, 100, 200, 201, 206, 207 as they were appliead by upstream
- disable all patches which are needs a rediff
- try with ncursesw instead of slang
- try with pcre instread of glib
- disable conversion of man pages and translations to UTF-8 as it doesn't work now, and needs further inwestigation
- update file list

* Fri May 22 2009 Eugeni Dodonov <eugeni@mandriva.com> 4.6.2-9mdv2010.0
+ Revision: 378761
- Creating ~/.mc directory when necessary (#48717).
  Updated to compile with automake 1.11.

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-8mdv2009.1
+ Revision: 339087
- bump release

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix broken patch

* Wed Feb 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-7mdv2009.1
+ Revision: 337656
- drop patch 300 fixed differently
- rediff patch 102

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - * add xz support (P8)
      * minor spec cosmetics

* Wed Feb 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-6mdv2009.1
+ Revision: 337240
- Patch11: do not mark tabs in editor
- Patch12: missing header
- Patch13: updated polish translation
- Patch207: awk syntax support
- drop patches 101 and 103
- enable mcfs
- rediff patch 206
- rediff patch 111
- rediff patch 9

* Mon Feb 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-5mdv2009.1
+ Revision: 336309
- Patch100: new version from upstream (mc-4.6.2-utf8.patch)
- disable patch111 (needs a rediff)

* Sun Feb 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-4mdv2009.1
+ Revision: 336231
- bump release tag to 4, because of wrong tagging last releases
- further investigate which patches needs a rediff (2, 9, 100-103, 107, 108, 206, 300)
- drop patch 112, merged upstream
- update the list of non-unicode translations
- use parallel make
- update to new version 4.6.2
- fix urls

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 4.6.2-3.20080216.4mdv2009.1
+ Revision: 317998
- rediffed some fuzzy patches

* Mon Sep 29 2008 Adam Williamson <awilliamson@mandriva.org> 4.6.2-3.20080216.3mdv2009.0
+ Revision: 289678
- add shortcut.patch (and a substitution) to add ctrl-L as a shortcut for
  directory hotlist as ctrl-\ is inaccessible on some layouts (#44201)

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 4.6.2-3.20080216.2mdv2009.0
+ Revision: 265077
- rebuild early 2009.0 package (before pixel changes)

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 4.6.2-0.20080216.2mdv2008.1
+ Revision: 182926
- remove one chunk from the decent_defaults patch as it
  triggers some obscure bug...

* Sat Feb 16 2008 Adam Williamson <awilliamson@mandriva.org> 4.6.2-0.20080216.1mdv2008.1
+ Revision: 169325
- update spec-syntax.patch from upstream (PLD)
- drop pld-developerfriendly.patch (not relevant to MDV)
- new snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sat Feb 02 2008 Adam Williamson <awilliamson@mandriva.org> 4.6.2-0.20071018.3mdv2008.1
+ Revision: 161343
- add utf8-nlink.patch (from OpenSUSE, fixes display of nlinks colum - #34207)

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.6.2-0.20071018.2mdv2008.1
+ Revision: 137217
- no executable bit on profile scriptlets
  order prefix on profile scriptlets

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri Oct 19 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.2-0.20071018.1mdv2008.1
+ Revision: 100135
- buildrequires gettext-devel for CVS build
- remove now unnecessary u7z workaround
- use %%{buildroot} not $RPM_BUILD_ROOT
- drop incredibly old and apparently useless libcom_err workaround
- completely refresh patch set:
  	+ drop mc-4.6.0-xpdf.patch (superseded by XDG patch)
  	+ drop mc-4.6.1-tempfiles.patch (merged upstream)
  	+ drop mc-4.6.1-2gb.patch (merged upstream)
  	+ drop amc patches (partially merged upstream, PLD dropped them)
  	+ drop mc-mo.patch (PLD dropped it)
  	+ drop mc-fish-upload.patch (merged upstream)
  	+ drop mc-ftpcrash.patch (merged upstream)
  	+ drop mc-symcrash.patch (merged upstream)
  	+ drop mc-slang2.patch (slang2 conversion done upstream)
  	+ drop mc-4.6.1-7zip.patch (merged upstream)
  	+ add several patches from Fedora including updated UTF-8 patch
  	+ add mc-localenames.patch from PLD to rename no to nb (locale)
  	+ add mc-vhdl-syntax.patch from PLD to add VHDL syntax
  	+ refresh all Fedora and PLD patches from latest SRPMs
  	+ rediff all patches where necessary
  	+ rearrange patches in spec to be cleaner and more organized
- update to current CVS snapshot

* Wed Sep 26 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-17mdv2008.0
+ Revision: 93022
- add mc-4.6.1-2gb.patch: fixes a bug preventing >2GB ssh file transfers from working (from upstream bug #15524 and Debian bug #349390)

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-16mdv2008.0
+ Revision: 90046
- add mc-4.6.1-tempfiles.patch to fix bug which left temp files lying around (#15687)
- new license policy

* Tue Sep 04 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-15mdv2008.0
+ Revision: 79562
- updated version of patch109 from Fedora bug #186456 (fixes Mandriva bug #26498)

* Fri Jul 06 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-14mdv2008.0
+ Revision: 48852
- add 7zip VFS handler (from upstream CVS, with patch from Sergey Niskorodov)

* Thu Jun 28 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-13mdv2008.0
+ Revision: 45336
- convert xnc.hlp files too

* Thu Jun 28 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-12mdv2008.0
+ Revision: 45263
- gotta adjust Makefile for the zh rename
- convert files to unicode a lot more smartly

* Wed Jun 27 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-11mdv2008.0
+ Revision: 44886
- patch11: fix some invalid control sequences in zh_TW po
- have to convert headers of po files as well
- convert some translations to UTF-8 (#31542, #31578)

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-10mdv2008.0
+ Revision: 41596
- bump to get it to main

* Sat Jun 09 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-9mdv2008.0
+ Revision: 37673
- patch to build against new slag, drop manual slang dependency

* Sat Jun 09 2007 Adam Williamson <awilliamson@mandriva.org> 4.6.1-8mdv2008.0
+ Revision: 37608
- try another way of forcing to build against slang1
- patch201: use xdg-open to open several types of file in X
- drop a silly smiley from the description
- doesn't build with slang 2
- slightly reorder patches for clarity

* Mon Apr 23 2007 Oden Eriksson <oeriksson@mandriva.com> 4.6.1-7mdv2008.0
+ Revision: 17506
- make it work with latest bash (P10)


* Mon Feb 12 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.6.1-6mdv2007.0
+ Revision: 118891
- add lzma support (P114)

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 4.6.1-5mdv2007.1
+ Revision: 75591
- Import mc

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 4.6.1-5mdv2007.1
- bunzip patches

* Fri Aug 25 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 4.6.1-4mdv2007.0
- added P9 to set some defaults
- added PLD patches P100 - P113 (4.6.1-5)

* Fri May 12 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.6.1-3mdk
- make mc.sh bash compliant (P8)
- fix executable-marked-as-config-file

* Mon Jan 16 2006 Marcel Pol <mpol@mandriva.org> 4.6.1-2mdk
- remove copyright tag, and s/serial/epoch tag in rpm vfs
  (bug #20662)

* Thu Jul 28 2005 Marcel Pol <mpol@mandriva.org> 4.6.1-1mdk
- 4.6.1 final
- drop P4, fixed upstream
- update P7
- drop P8, merged upstream

* Fri May 06 2005 Marcel Pol <mpol@mandriva.org> 4.6.1-0.pre3.4mdk
- fix logo on help page
- add %%mkrel for backporting

* Fri Apr 22 2005 Marcel Pol <mpol@mandriva.org> 4.6.1-0.pre3.3mdk
- sync utf8 patch7 with Fedora 4.6.1-0.13.FC3

* Sun Feb 13 2005 Marcel Pol <mpol@mandrake.org> 4.6.1-0.pre3.2mdk
- use www-browser

* Sun Feb 13 2005 Marcel Pol <mpol@mandrake.org> 4.6.1-0.pre3.1mdk
- unofficial 4.6.1-pre3
- drop source1, P1, P2, P5, P9, P13, P14, P15, P16, merged upstream
- drop P3, different fix upstream (use id, not $USER)
- rediff P4
- sync utf8 patch with fedora3
  now just one patch; P7, P8, P10, P11, P12 moved into P7
- disable P6 for now
- small cleanups

* Mon Sep 27 2004 Marcel Pol <mpol@mandrake.org> 4.6.0-13mdk
- add requires slang > 1.4.9-5mdk

* Wed Sep 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.6.0-12mdk
- make the wrapper script work (P3)

* Mon Aug 30 2004 Marcel Pol <mpol@mandrake.org> 4.6.0-11mdk
- security fix for vfs/extfs CAN-2004-0494
- really use gqview for images
- --enable-charset is back
- patch14 add info/obsoletes, info/license to rpm extfs
- patch15 fix crash on use of large syntax file
- patch16 fix coloring of diffs of diffs

* Sat Jul 24 2004 Marcel Pol <mpol@mandrake.org> 4.6.0-10mdk
- again build against new slang
- drop mcserv optional build

* Thu Jul 22 2004 Marcel Pol <mpol@mandrake.org> 4.6.0-9mdk
- update patch1, use gqview for images as upstream does
- add unzip vfs
- drop patch3, merged in patch6 to patch10
- patch5: "secret" redhat cpio fix
- add patch6
- patch7: build against slang-utf8
- patch8, 10, 11, 12: add utf8 patches from fedora/suse
- patch9: (jumbo patch) several fixes, updates, etc.
- disable charset conversion

* Sat May 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.6.0-8mdk
- Patch3 (stew): security fix for CAN-2004-0226,0231,0232
- Patch4 (stew): disable ta locale - won't compile

* Sun Apr 11 2004 Michael Scherer <misc@mandrake.org> 4.6.0-7mdk 
- [DIRM]

* Tue Feb 17 2004 Marcel Pol <mpol@mandrake.org> 4.6.0-6mdk
- security fix for CAN-2003-1023 (vdanen)

* Mon Feb 16 2004 Marcel Pol <mpol@mandrake.org> 4.6.0-5mdk
- Patch1: image extension s/ee/display (bug #7907)

